import { Y as a, F as o, gz as s, gA as i, a6 as u, G as c, w as r, S as m, ad as g } from "./603b75d9.js";
import { C } from "./4963ac97.js";
import "react";
import "react-dom";
import "./ffcffc16.js";
const d = a("table.columnValueTooltip"), p = {
  src: r(m, "{{currentCell}}"),
  size: r(g, "50")
}, l = (e) => e.src, f = function() {
  return new C(p, (e, n) => {
    const t = e.changeValue ?? l(e);
    return /* @__PURE__ */ o(s, {
      style: {
        pointerEvents: "auto"
      },
      src: t,
      width: e.size
    });
  }, (e) => e.src.value, l).setEditViewFn((e) => /* @__PURE__ */ o(i, {
    defaultValue: e.value,
    autoFocus: !0,
    variant: "borderless",
    onChange: (n) => {
      const t = n.target.value;
      e.onChange(t);
    },
    onBlur: e.onChangeEnd,
    onPressEnter: e.onChangeEnd
  })).setPropertyViewFn((e) => /* @__PURE__ */ u(c, {
    children: [e.src.propertyView({
      label: a("table.imageSrc"),
      tooltip: d
    }), e.size.propertyView({
      label: a("table.imageSize")
    })]
  })).build();
}();
export {
  d as ColumnValueTooltip,
  f as ImageComp
};
